Skip to main content
cURL

Query Parameters

grant_type
enum<string>
required

Method of authentication

Available options:
client_credentials,
client_signature,
refresh_token
Example:

"client_credentials"

client_id
string
required

Required for grant type `client_credentials` and `client_signature`

Example:

"fo7WAPRm4P"

client_secret
string
required

Required for grant type `client_credentials`

Example:

"W0H6FJW4IRPZ1MOQ8FP6KMC5RZDUUKXS"

refresh_token
string
required

Required for grant type `refresh_token`

timestamp
integer
required

Required for grant type `client_signature`.

Provides time when request has been generated (milliseconds since the UNIX epoch).

signature
string
required

Required for grant type `client_signature`.

It's a cryptographic signature calculated over provided fields using user secret key. The signature should be calculated as an HMAC (Hash-based Message Authentication Code) with `SHA256` hash algorithm.

nonce
string

Optional for grant type `client_signature`.

Delivers user generated initialization vector for the server token.

data
string

Optional for grant type `client_signature`.

Contains any user specific value.

state
string

Will be passed back in the response.

scope
string

Describes type of the access for assigned token.

Possible values:

  • `connection`
  • `session:name`
  • `trade:[read, read_write, none]`
  • `wallet:[read, read_write, none]`
  • `account:[read, read_write, none]`
  • `expires:NUMBER`
  • `ip:ADDR`

Details are elucidated in Access scope

Example:

"connection"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request